<?php
namespace Util;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Util\Instance\Service as InstanceService;

class InstanceProvider {
    public static function getService()
    {
        return InstanceService::getInstance();
    }

    /** @return \Zmart\Mongo */
    public static function getZmartMongo()
    {
        return InstanceManager::getInstance()->getService('organizationMongoManager');
    }

    /** @return \Teknisa\Libs\Util\OAuthCustom */
    public static function getOAuth()
    {
        return InstanceManager::getInstance()->getService('oAuthImpl');
    }

    /** @return \Zeedhi\Framework\Session\Session */
    public static function getSession()
    {
        return InstanceManager::getInstance()->getService('session');
    }

    /** @return \Teknisa\Libs\Util\ConnectionCustom*/
    public static function getConnectionCustom()
    {
        return InstanceManager::getInstance()->getService('connectionCustom');
    }

    /** @return \Zeedhi\ZhuAcl\Controller\AccessControlRule*/
    public static function getAccessControlRule()
    {
        return InstanceManager::getInstance()->getService('ZhuAclControllerAccessControlRuleLogin');
    }
    
    /** @return \Doctrine\ORM\EntityManager */
    public static function getEntityManager()
    {
        return InstanceManager::getInstance()->getService('entityManager');
    }

    /** @return \Util\Log */
    public static function getLog()
    {
        return InstanceManager::getInstance()->getService('\Util\Log');
    }
}